Loading...
Searching...
No Matches
Opm::FoamData Class Reference

Foam behaviour data for a single SATNUM region. More...

`#include <FoamConfig.hpp>`

## Public Member Functions

| FoamData (const DeckRecord &FOAMFSC_record, const DeckRecord &FOAMROCK_record)
| FoamData (const DeckRecord &FOAMROCK_record)
double | referenceSurfactantConcentration () const
double | exponent () const
double | minimumSurfactantConcentration () const
bool | allowDesorption () const
double | rockDensity () const
bool | operator== (const FoamData &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static FoamData | serializationTestObject ()

## Detailed Description

Foam behaviour data for a single SATNUM region.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/InitConfig/FoamConfig.hpp
- opm/input/eclipse/EclipseState/InitConfig/FoamConfig.cpp